<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.area.RMpDevEvaluateDetailPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpDevEvaluateDetailPO">
    <!--@mbg.generated-->
    <!--@Table r_mp_dev_evaluate_detail-->
    <id column="data_date" jdbcType="TIMESTAMP" property="dataDate" />
    <id column="device_id" jdbcType="VARCHAR" property="deviceId" />
    <result column="dev_target_rate" jdbcType="FLOAT" property="devTargetRate" />
    <result column="dev_data_rate" jdbcType="FLOAT" property="devDataRate" />
    <result column="dev_score" jdbcType="FLOAT" property="devScore" />
    <result column="dev_effective_rate" jdbcType="FLOAT" property="devEffectiveRate" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    data_date, device_id, dev_target_rate, dev_data_rate, dev_score, dev_effective_rate
  </sql>
</mapper>